"use strict";

module.exports = function (_ref) {
  var t = _ref.types;

  return {
    name: "transform-inline-environment-variables",
    visitor: {
      MemberExpression(path, _ref2) {
        var _ref2$opts = _ref2.opts;
        _ref2$opts = _ref2$opts === undefined ? {} : _ref2$opts;
        var whitelist = _ref2$opts.whitelist,
            blacklist = _ref2$opts.blacklist;

        if (path.get("object").matchesPattern("process.env")) {
          var key = path.toComputedKey();
          if (t.isStringLiteral(key) && (!whitelist || whitelist.indexOf(key.value) !== -1) && (!blacklist || blacklist.indexOf(key.value) === -1)) {
            path.replaceWith(t.valueToNode(process.env[key.value]));
          }
        }
      }
    }
  };
};